# Soil Biogeochemistry

```@meta
CurrentModule = ClimaLSM.Soil.Biogeochemistry
```
## Model Structure

```@docs
ClimaLSM.Soil.Biogeochemistry.SoilCO2Model
```

## Parameter Structure

```@docs
ClimaLSM.Soil.Biogeochemistry.SoilCO2ModelParameters
```

## Model-specific Types

```@docs
ClimaLSM.Soil.Biogeochemistry.MicrobeProduction
ClimaLSM.Soil.Biogeochemistry.SoilCO2FluxBC
ClimaLSM.Soil.Biogeochemistry.SoilCO2StateBC
ClimaLSM.Soil.Biogeochemistry.AbstractSoilDriver
ClimaLSM.Soil.Biogeochemistry.SoilDrivers
ClimaLSM.Soil.Biogeochemistry.PrescribedMet
ClimaLSM.Soil.Biogeochemistry.PrescribedSOC
```

## Functions of State

```@docs
ClimaLSM.Soil.Biogeochemistry.volumetric_air_content
ClimaLSM.Soil.Biogeochemistry.co2_diffusivity
ClimaLSM.Soil.Biogeochemistry.microbe_source
```

## Extendible Functions

```@docs
ClimaLSM.Soil.Biogeochemistry.soil_moisture
ClimaLSM.Soil.Biogeochemistry.soil_temperature
ClimaLSM.Soil.Biogeochemistry.soil_SOM_C
```