# PlantHydraulics

```@meta
CurrentModule = ClimaLSM.PlantHydraulics
```
## Models

```@docs
ClimaLSM.PlantHydraulics.PlantHydraulicsModel
```

## Plant Hydraulics Diagnostic Variables

```@docs
ClimaLSM.PlantHydraulics.effective_saturation
ClimaLSM.PlantHydraulics.augmented_liquid_fraction
ClimaLSM.PlantHydraulics.water_retention_curve
ClimaLSM.PlantHydraulics.inverse_water_retention_curve
ClimaLSM.PlantHydraulics.root_flux_per_ground_area!
ClimaLSM.PlantHydraulics.flux
ClimaLSM.PlantHydraulics.hydraulic_conductivity
```

## Plant Hydraulics Parameters

```@docs
ClimaLSM.PlantHydraulics.PlantHydraulicsParameters
ClimaLSM.PlantHydraulics.Weibull
ClimaLSM.PlantHydraulics.LinearRetentionCurve
```

## Plant Hydraulics Methods and Types

```@docs
ClimaLSM.PlantHydraulics.PrescribedSoilPressure
ClimaLSM.PlantHydraulics.PrescribedTranspiration
ClimaLSM.PlantHydraulics.AbstractRootExtraction
```